

  /*Style for mark*/
  .checkmark__circle {
    stroke-dasharray: 166;
    stroke-dashoffset: 166;
    stroke-width: 2;
    stroke-miterlimit: 10;
    stroke: #7ac142;
    fill: none;
    animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
  }
  
  .checkmark {
    width: 25x;
    height: 25px;
    border-radius: 50%;
    display: block;
    stroke-width: 2;
    stroke: #fff;
    stroke-miterlimit: 10;
    margin: 10% auto;
    box-shadow: inset 0px 0px 0px #7ac142;
    animation: fill 0.4s ease-in-out 0.4s forwards,
      scale 0.3s ease-in-out 0.9s both;
  }
  
  .checkmark__check {
    transform-origin: 50% 50%;
    stroke-dasharray: 48;
    stroke-dashoffset: 48;
    animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
  }
  
  @keyframes stroke {
    100% {
      stroke-dashoffset: 0;
    }
  }
  @keyframes scale {
    0%,
    100% {
      transform: none;
    }
    50% {
      transform: scale3d(1.1, 1.1, 1);
    }
  }
  @keyframes fill {
    100% {
      box-shadow: inset 0px 0px 0px 30px #7ac142;
    }
  }
  /* Hide button */
  input[type='number']::-webkit-inner-spin-button,
  input[type='number']::-webkit-outer-spin-button {
    -webkit-appearance: none;
  }
  
  input[type='number'] {
    -moz-appearance: textfield;
  }
  
  /*blink style*/
  .led-orange-off {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #662900;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
      #662900 0 2px 12px;
  }
  
  .led-orange-slow {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #ff6600;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
      #ff6600 0 2px 12px;
    animation: blinkorange 2s infinite;
  }
  
  .led-orange-fast {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #ff6600;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
      #ff6600 0 2px 12px;
    animation: blinkorange 0.25s infinite;
  }
  
  .led-orange-fast-slow {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #ff6600;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
      #ff6600 0 2px 12px;
    animation: blinkorangeSlowFast 3.5s infinite;
    /* blinkYellow 2s infinite alternate; */
  }
  
  .led-orange-solid {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #ff6600;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #ff6600 0 -1px 9px,
      #ff6600 0 2px 12px;
  }
  
  @keyframes blinkorange {
    from {
      background-color: #ff6600;
    }
    50% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    to {
      background-color: #ff6600;
    }
  }
  
  @keyframes blinkorangeSlowFast {
    from {
      background-color: #ff6600;
    }
    5% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    10% {
      background-color: #ff6600;
    }
    15% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    20% {
      background-color: #ff6600;
    }
    25% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    30% {
      background-color: #ff6600;
    }
    35% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    40% {
      background-color: #ff6600;
    }
    45% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
  
    50% {
      background-color: #ff6600;
    }
  
    62.5% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    75% {
      background-color: #ff6600;
    }
  
    87.5% {
      background-color: #662900;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #662900 0 -1px 9px,
        #ff6600 0 2px 0;
    }
    to {
      background-color: #ff6600;
    }
  }
  
  .led-green-off {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #095000;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #095000 0 -1px 9px,
      #095000 0 2px 12px;
  }
  
  .led-green-slow {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #00ff00;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #095000 0 -1px 9px,
      #00ff00 0 2px 12px;
    animation: blinkgreen 2s infinite;
  }
  
  .led-green-fast {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #00ff00;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #095000 0 -1px 9px,
      #00ff00 0 2px 12px;
    animation: blinkgreen 0.25s infinite;
  }
  
  .led-green-solid {
    margin: 0 auto;
    width: 24px;
    height: 24px;
    background-color: #00ff00;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #00ff00 0 -1px 9px,
      #00ff00 0 2px 12px;
  }
  
  @keyframes blinkgreen {
    from {
      background-color: #00ff00;
    }
    50% {
      background-color: #095000;
      box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #095000 0 -1px 9px,
        #00ff00 0 2px 0;
    }
    to {
      background-color: #00ff00;
    }
  }
  /* react table */
  .sticky {
    position: sticky !important;
    left: 0;
    top: 0;
    z-index: 1;
  background-color: #FAFAFA;
  }
  
  .rt-thead {
    position: sticky;
    top: 0;
    z-index: 2;
    background: white;
  }
  .rt-tbody {
    overflow: visible !important;
  }
  
  
  .leaflet-container {
      height: 50%;
      width: 100%;
  }
  
  
  .parent{
    position : relative;
    min-height: 500px;
   }
   .parent .chart{
       position: absolute;
       width: 100%;
       z-index: 100;
   }
  